// The basic stuff we need almost everywhere

#pragma once

#include "SDL.h"
#include "SDL_image.h"

// Constants
enum { eMaxBitMaps = 512 };
enum { eMaxFramesPerAnim = 256 };

// OpenGL
enum { eScreenY = 600,
	   eScreenX = 800 };
	   
const float gVScreenX = 800;
const float gVScreenY = 600;
const float gAspectX = gVScreenX/gVScreenY;

// Our stuff

class Frame
{
public:
  Frame(char* inName, int inDuration)
  : mDuration(inDuration)
  {	strcpy(mName, inName); };


  char		mName[256];
  int		mDuration;  
};

class Animation
{
public:
  Animation() :mNrFrames(0) {};
  int mNrFrames;
  Frame*	mFrames[eMaxFramesPerAnim];
};



// Anims
void		LoadAnims();
Animation*	GetAnim(int inNr);
void		FreeAnims();

// Font;
void BuildFont();
GLvoid glPrint(GLint x, GLint y, char *string, int set);
void KillFont();




